/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
import { existsSync as _existsSync } from 'fs';
import _fsp from 'fs/promises';
import { execa as _execa } from 'execa';
import * as _path from 'path';
import { PackageManagerControllerBase } from './package_manager_controller_base.js';
/**
 * NpmPackageManagerController is an abstraction around npm commands that are needed to initialize a project and install dependencies
 */
export declare class NpmPackageManagerController extends PackageManagerControllerBase {
    protected readonly cwd: string;
    protected readonly fsp: typeof _fsp;
    protected readonly path: _path.PlatformPath;
    protected readonly execa: typeof _execa;
    protected readonly executeWithDebugLogger: (cwd: string, executable: string, args?: readonly string[] | undefined, execa?: typeof _execa, options?: import("execa").Options<"utf8"> | undefined) => import("execa").ExecaChildProcess<string>;
    protected readonly existsSync: typeof _existsSync;
    /**
     * constructor
     */
    constructor(cwd: string, fsp?: typeof _fsp, path?: _path.PlatformPath, execa?: typeof _execa, executeWithDebugLogger?: (cwd: string, executable: string, args?: readonly string[] | undefined, execa?: typeof _execa, options?: import("execa").Options<"utf8"> | undefined) => import("execa").ExecaChildProcess<string>, existsSync?: typeof _existsSync);
}
//# sourceMappingURL=npm_package_manager_controller.d.ts.map